libzypp 17.37.10

TargetImpl.h File Reference
`#include <iosfwd>`
`#include <set>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/ZYppCommit.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/Target.h>`
`#include <zypp/target/rpm/RpmDb.h>`
`#include <zypp/target/TargetException.h>`
`#include <zypp/target/RequestedLocalesFile.h>`
`#include <zypp/target/SolvIdentFile.h>`
`#include <zypp/target/HardLocksFile.h>`
`#include <zypp/ManagedFile.h>`
`#include <zypp/VendorAttr.h>`

Go to the source code of this file.

## Classes
class | zypp::target::TargetImpl
| Base class for concrete Target implementations. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::target

## Functions
| zypp::target::DEFINE_PTR_TYPE (TargetImpl)